<template>
  <Modal
    :modalStyle="{ width: '700px' }"
    title="Musician"
    @close="$emit('close', 'musician')"
    :visible="visible"
  >
    <div slot="content" class="musician">
      <div class="px-7 py-7">
        <p class="font-weight-bold mb-2">Genres</p>
        <v-row no-gutters>
          <v-col>
            <Checkbox>Afro</Checkbox>
            <Checkbox>Arab</Checkbox>
            <Checkbox>Avant-Garde</Checkbox>
            <Checkbox>Blues</Checkbox>
            <Checkbox>Caribbean and Caribbean-influenced</Checkbox>
            <Checkbox>Classical</Checkbox>
            <Checkbox>Comedy</Checkbox>
            <Checkbox>Country</Checkbox>
            <Checkbox>Dance</Checkbox>
          </v-col>
          <v-col>
            <Checkbox>Easy Listening</Checkbox>
            <Checkbox>Electronic</Checkbox>
            <Checkbox>Folk</Checkbox>
            <Checkbox>Funk</Checkbox>
            <Checkbox>Hip Hop</Checkbox>
            <Checkbox>Jazz</Checkbox>
            <Checkbox>Latin</Checkbox>
            <Checkbox>Metal</Checkbox>
            <Checkbox>Pop</Checkbox>
          </v-col>
          <v-col>
            <Checkbox>Punk</Checkbox>
            <Checkbox>R&B and Soul</Checkbox>
            <Checkbox>Reggae</Checkbox>
            <Checkbox>Religious</Checkbox>
            <Checkbox>Rock</Checkbox>
            <Checkbox>Romance</Checkbox>
            <Checkbox>Soul</Checkbox>
            <Checkbox>Other:</Checkbox>
            <div class="musician__desc">Describe</div>
          </v-col>
        </v-row>
      </div>
      <div class="musician__instruments px-7 py-7">
        <p class="font-weight-bold mb-2">Instruments</p>
        <v-row no-gutters>
          <v-col>
            <Checkbox>Band</Checkbox>
            <Checkbox>Bass Guitar</Checkbox>
            <Checkbox>Cello</Checkbox>
            <Checkbox>Clarinet</Checkbox>
            <Checkbox>DJ</Checkbox>
            <Checkbox>Drums</Checkbox>
          </v-col>
          <v-col>
            <Checkbox>Flute</Checkbox>
            <Checkbox>Guitar</Checkbox>
            <Checkbox>Harp</Checkbox>
            <Checkbox>Keyboard</Checkbox>
            <Checkbox>Piano</Checkbox>
            <Checkbox>Saxophone</Checkbox>
          </v-col>
          <v-col>
            <Checkbox>Singer</Checkbox>
            <Checkbox>Trumpet</Checkbox>
            <Checkbox>Violin</Checkbox>
            <Checkbox>Other:</Checkbox>
            <div class="musician__desc">Describe</div>
          </v-col>
        </v-row>
      </div>
    </div>
    <v-btn
      slot="button"
      rounded
      color="error"
      min-width="200"
      @click="$emit('save', 'musician')"
    >Save</v-btn>
  </Modal>
</template>

<script>
import Modal from '../../shared/Modal/Modal';
import Checkbox from '../../shared/Checkbox/Checkbox';
export default {
  name: 'ProfessionMusician',
  props: {
    visible: Boolean
  },
  components: {
    Modal,
    Checkbox
  }
};
</script>

<style lang="scss" scoped >
@import './ProfessionMusician.scss';
</style>